@echo off
rem ---                             ---
rem --- Change Settings here        ---
rem --- All Paths w/o trailing '\'! ---

rem --- Where is the Base OS FixPak? ---
set XRM_SRC=Z:\ShareA\CSD\XRGM013

rem --- Where is the Device Driver FixPak? ---
set XRD_SRC=Z:\ShareA\CSD\XR_D001

rem --- Where is the MPTS FixPak? ---
set WR_SRC=Z:\ShareA\CSD\WRG8620

rem --- Where is the Warp 4 CD? ---
set XR_SOURCE=O:

rem --- Where will the CD files be copied to? ---
set XR_TARGET=Z:\z\cdimages\W4-2000

rem --- Where is the UPDCD Package? ---
set XR_UPDCD=Z:\z\cdimages\W4-2000\UpdCD

rem --- Where will updates files be placed temporarily? ---
rem set XR_TEMP=%temp%\XRM
set XR_TEMP=D:\temp\XRM

rem ---                      ---
rem --- End of Settings here ---
rem ---                      ---

rem --- Let's do it ---
rem - Now copy all FixPak files into *one* directory
rem - Order FixPaks by Date, start with the oldest one

rem - Copy the Device Driver FixPak
echo Copying Device Driver FixPak files (%XRD_SRC%)...
xcopy %XRD_SRC%\fix\bdd.1\. %XR_TEMP%\BASE\ /H /O /T /V >nul
rem zsolt xcopy %XRD_SRC%\fix\bdd.2\. %XR_TEMP%\BASE\ /H /O /T /V >nul
rem zsolt xcopy %XRD_SRC%\fix\bdd.3\. %XR_TEMP%\BASE\ /H /O /T /V >nul
xcopy %XRD_SRC%\fix\bdd.4\. %XR_TEMP%\BASE\ /H /O /T /V >nul
xcopy %XRD_SRC%\fix\bdd.5\. %XR_TEMP%\BASE\ /H /O /T /V >nul

rem Copy the Base OS FixPak files
echo Copying Base OS FixPak files (%XRM_SRC%)...
xcopy %XRM_SRC%\fix\os2.1\. %XR_TEMP%\BASE\ /H /O /T /V >nul
xcopy %XRM_SRC%\fix\os2.2\. %XR_TEMP%\BASE\ /H /O /T /V >nul
rem zsolt xcopy %XRM_SRC%\fix\os2.3\. %XR_TEMP%\BASE\ /H /O /T /V >nul
rem zsolt xcopy %XRM_SRC%\fix\os2.4\. %XR_TEMP%\BASE\ /H /O /T /V >nul

rem - Copy the MPTS FixPak
echo Copying MPTS FixPak files (%WR_SRC%)...
xcopy %WR_SRC%\.         %XR_TEMP%\MPTS\ /H /O /T /V >nul
xcopy %WR_SRC%\ibmcom\.  %XR_TEMP%\MPTS\ /H /O /T /V >nul
xcopy %WR_SRC%\lanlk\.   %XR_TEMP%\MPTS\ /H /O /T /V >nul
xcopy %WR_SRC%\mptn\.    %XR_TEMP%\MPTS\ /H /O /T /V >nul
xcopy %WR_SRC%\utility\. %XR_TEMP%\MPTS\ /H /O /T /V >nul


rem - now unpack all those files
echo Unpacking FixPak files...
call %XR_UPDCD%\PrpFP.cmd %XR_TEMP%\BASE
call %XR_UPDCD%\PrpFP.cmd %XR_TEMP%\MPTS

rem - copy the Warp 4 CD to the target directory (if not already there)
if exist %XR_TARGET%\os2se20.src goto skip_copy
echo Copying Original Warp 4 files (%XR_SOURCE%)...
xcopy %XR_SOURCE%\. %XR_TARGET%\ /H /O /T /S /E /R /V  >nul
:skip_copy

rem - now update the files
echo Updating files. This will take some time (~30 min.)...
call %XR_UPDCD%\updcd.cmd %XR_TARGET% %XR_TEMP%\BASE
call %XR_UPDCD%\updcd.cmd %XR_TARGET%\CID\IMG\MPTS %XR_TEMP%\MPTS

pause
echo Updating Boot floppy disks...
call %XR_UPDCD%\UpdIF.cmd %XR_TARGET%\DISKIMGS\OS2\35
